package org.rcisoft.business.opmBlacklist.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.business.opmBlacklist.entity.OpmBlackList;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2025年2月10日 上午9:46:37.
*/

public interface OpmBlackListRepository extends CyBaseMapper<OpmBlackList> {


    List<OpmBlackList> queryOpmBlackLists(@Param("entity") OpmBlackList opmBlackList);

    /**
    * 分页查询黑名单
    *
    */
    IPage<OpmBlackList> queryOpmBlackListsPaged(CyPageInfo cyPageInfo,@Param("entity") OpmBlackList opmBlackList);

    /**
     * 超级管理员-分页查询黑名单
     */
    IPage<OpmBlackList> adminQueryOpmBlackListsPaged(CyPageInfo<OpmBlackList> paginationUtility,@Param("entity") OpmBlackList opmBlackList);
}

